The Laravel Cloud API and CLI are here. Build pipelines, manage environments, and hand off to AI agents. View the docs →
cURL
curl --request GET \ --url https://cloud.laravel.com/api/environments/{environment}/domains \ --header 'Authorization: Bearer <token>'
{ "data": [ { "id": "<string>", "type": "domains", "links": { "self": { "href": "<string>", "rel": "<string>", "describedby": "<string>", "title": "<string>", "type": "<string>", "hreflang": "<string>", "meta": {} } }, "relationships": {} } ], "links": { "first": "<string>", "last": "<string>", "prev": "<string>", "next": "<string>" }, "meta": { "current_page": 2, "from": 2, "last_page": 2, "links": [ { "url": "<string>", "label": "<string>", "active": true } ], "path": "<string>", "per_page": 1, "to": 2, "total": 1 }, "included": [ { "id": "<string>", "type": "environments", "links": { "self": { "href": "<string>", "rel": "<string>", "describedby": "<string>", "title": "<string>", "type": "<string>", "hreflang": "<string>", "meta": {} } }, "relationships": {} } ] }
List all domains for the given environment.
The Bearer Token generated on the Cloud UI.
The environment identifier
Available includes are environment. You can include multiple options by separating them with a comma.
environment
Paginated set of SimplifiedDomainResource
SimplifiedDomainResource
Show child attributes
Was this page helpful?